/* -*- Mode: C -*- */

/*-------------------------------------------------------------------*\
 * File: aufile.h
 * Author: Bryan Jurish
\*-------------------------------------------------------------------*/

/**
 * \file aufile.h
 * \brief Audio file utilities.
 */

#ifndef _RSYNTH_AUFILE_H
#define _RSYNTH_AUFILE_H

//-- default sample rate
#define DEFAULT_SAMPLE_RATE 8000

//-- from aufile.c 
#define SUN_MAGIC 	0x2e736e64		///< Really '.snd'
#define SUN_HDRSIZE	24			///< Size of minimal header
#define SUN_UNSPEC	((unsigned)(~0))	///< Unspecified data size
#define SUN_ULAW	1			///< u-law encoding
#define SUN_LIN_8	2			///< Linear 8 bits
#define SUN_LIN_16	3			///< Linear 16 bits

#define SUN_NEXT        4
#define RAW_LIN_16      5                       ///< raw linear 16 bits
#define RAW_DEV         6                       ///< raw audio device

#endif /* _RSYNTH_AUFILE_H */

