/* $Id: say.h,v 1.2 2002/12/09 01:40:11 moocow Exp $
 */

/**
 * \file say.h
 * \brief High-level interface functions for 'say' program.
 */

#ifndef _RSYNTH_SAY_H
#define _RSYNTH_SAY_H

/// Convert a string to its phonetic represenation
extern unsigned xlate_string PROTO((rsynth_synth *synth,char *string,darray_ptr phone));

/// Do full TTS on a string.
extern void say_string PROTO((rsynth_synth *synth,char *s));

/// Convert command-line to a space-separated string.
extern char *concat_args PROTO((int argc,char *argv[]));

/// ?
extern int suspect_word PROTO((rsynth_synth *synth,char *s,int n));

/// Phoneme-to-speech synthesis.
extern void say_phones PROTO((rsynth_synth *synth,char *phone,int len, int verbose));

/// Produce letter-by-letter spelling of \b word to \b phone (?)
extern unsigned spell_out PROTO((rsynth_synth *synth,char *word,int n,darray_ptr phone));

/// Pronounce an ordinal number.
extern unsigned xlate_ordinal PROTO((rsynth_synth *synth,long int value,darray_ptr phone));

/// Pronounce a cardinal number.
extern unsigned xlate_cardinal PROTO((rsynth_synth *synth,long int value,darray_ptr phone));


#endif /* _RSYNTH_SAY_H */
