/* $Id: trie.h,v 1.2 2002/12/09 01:40:11 moocow Exp $
 */

/**
 * \file trie.h
 * \brief Trie structure using linked lists.
 */

#ifndef _RSYNTH_TRIE_H
#define _RSYNTH_TRIE_H

/// Trie structure using linked lists.
typedef struct
{
  struct trie_s *otherwise; ///< Trie for non-matches
  struct trie_s *more;      ///< Trie for match continuation
  void *value;              ///< Node value for terminal match
  char ch;                  ///< Node key
} trie_s, *trie_ptr;

/// Insert a value into a trie.
extern void trie_insert PROTO((trie_ptr *r,char *s,void *value));

/// Lookup the node-value for \b *sp from a trie.
/// *sp is set to the longest matched prefix on return.
extern void *trie_lookup PROTO((trie_ptr *r,char **sp));

#endif /* _RSYNTH_TRIE_H */
